org.apache.poi.sl.draw.binding

## Class CTPoint2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPoint2D

-     public class CTPoint2D
      extends java.lang.Object

  Java class for CT_Point2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Point2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="x" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Coordinate" />
             <attribute name="y" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Coordinate" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `x`
    `protected long` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPoint2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getX()` Gets the value of the x property.
    `long` | `getY()` Gets the value of the y property.
    `boolean` | `isSetX()`
    `boolean` | `isSetY()`
    `void` | `setX(long value)` Sets the value of the x property.
    `void` | `setY(long value)` Sets the value of the y property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          protected long x

    - #### y

          protected long y

  - ### Constructor Detail

    - #### CTPoint2D

          public CTPoint2D()

  - ### Method Detail

    - #### getX

          public long getX()

      Gets the value of the x property.

    - #### setX

          public void setX(long value)

      Sets the value of the x property.

    - #### isSetX

          public boolean isSetX()

    - #### getY

          public long getY()

      Gets the value of the y property.

    - #### setY

          public void setY(long value)

      Sets the value of the y property.

    - #### isSetY

          public boolean isSetY()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.